# Vertices class

A set of vertex data used by Canvas.drawVertices.

## Constructors

Vertices(VertexMode mode, List<Offset> positions, { List<Offset> textureCoordinates, List<Color> colors, List<int> indices })
Vertices.raw(VertexMode mode, Float32List positions, { Float32List textureCoordinates, Int32List colors, Int32List indices })

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited